Summary
Creates a new template document.
Description
Creates a new template document.
Route
POST /automation-studio/templates
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| template |
object |
yes |
Template entity to create. |
Copied to Clipboard
{
"template": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "2eb422C14d4cbC7f66BE7Bf8",
"namespace": {
"type": "project",
"name": "minim exercitation Excepteur laborum",
"accessControl": {
"read": [
"non",
"occaecat",
"incididunt pariatur sit irure",
"cupidatat qui"
],
"write": [
"eiusmod",
"amet sed ad et eiusmod",
"dolore labore non",
"Excepteur"
],
"execute": [
"Lorem officia sint qui non"
],
"manage": [
"fugiat ad",
"ipsum non",
"consectetur",
"proident Duis",
"voluptate sint Lorem"
]
}
},
"createdBy": "742B213EaF7271D8bbBDacD6",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "CeD79DB3638FdFCC5bAA2601",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "F531c226efcc02DcD5deDcE6",
"name": "laborum eu adipisicing"
},
{
"_id": "71740684b382b32DA5cC13E6",
"name": "amet incididunt dolore culpa velit"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"template": {
"title": "template",
"$ref": "template"
}
},
"required": [
"template"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Created template and associated edit URI. |
Copied to Clipboard
{
"created": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "834259E4dD8c8B8DBE3148CE",
"namespace": {
"type": "project",
"name": "quis",
"accessControl": {
"read": [
"commodo aliquip tempor"
],
"write": [
"ad sunt do",
"veniam culpa aliqua ipsum",
"ad",
"nulla"
],
"execute": [
"elit mollit qui ut",
"voluptate tempor labore ut",
"nostrud dolore aute et aliqua",
"labore aute voluptate"
],
"manage": [
"nisi",
"esse mollit amet cillum",
"sunt ad labore"
]
}
},
"createdBy": "26ACCEFfEAB0A380AEDFF43B",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "cBBfC3C43D8DC22eEb2CCBb8",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "D0CC4b1F56fd6d795Abf729c",
"name": "aliquip"
}
]
},
"edit": "dolor in"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"description": "Created template and associated edit URI.",
"properties": {
"created": {
"$ref": "template"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the newly created template."
}
},
"required": [
"created",
"edit"
]
}